<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Account List</title>
</head>
<body>
    <main>
        <header>
            <nav>
                {% if user.is_authenticated %}
                <ul>
                    <li> <a href= "{% url 'create_receipt' %}" > Create Receipt </a></li>
                    <li> <a href= "{% url 'create_category' %}" > Create Category </a></li>
                    <li> <a href= "{% url 'create_account' %}" > Create Account </a></li>
                    <li> <a href= "{% url 'category_list' %}" > Category List </a></li>
                    <li> <a href= "{% url 'account_list' %}" > Account List </a></li>
                    <li> <a href= "{% url 'home' %}" > My Receipts </a></li>
                    <li> <a href= "{% url 'logout' %}" > Logout </a></li>
                </ul>
                {% endif %}
                <ul>
                    <li> <a href= "{% url 'signup' %}" > Sign Up </a></li>
                    <li> <a href= "{% url 'login' %}" > Login </a></li>
                </ul>
            </nav>
        </header>
        <h1> Account list </h1>
        <table>
            <thead>
                <tr>
                    <th> Name </th>
                    <th> Number </th>
                    <th> Number of receipts </th>
                </tr>
            </thead>
            <tbody>
                {% for item in account_lists %}
                <tr>
                    <td> {{ item.name }} </td>
                    <td> {{ item.number }} </td>
                    <td> {{ item.receipts.all|length }} </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>
</html>
